# Interface HookRegOptions

These options may be provided when registering a Transition Hook (such as `onStart`)

interface HookRegOptions {
bind?: any;
invokeLimit?: number;
priority?: number;
}

- Defined in src/router/transition/interface.ts:295

##### Index

### Properties

bind?
invokeLimit?
priority?

## Properties

### `Optional` bind

bind?: any

Specifies what `this` is bound to during hook invocation.

- Defined in src/router/transition/interface.ts:309

### `Optional` invokeLimit

invokeLimit?: number

Limits the number of times that the hook will be invoked. Once the hook has been invoked this many times, it is automatically deregistered.

- Defined in src/router/transition/interface.ts:315

### `Optional` priority

priority?: number

Sets the priority of the registered hook

Hooks of the same type (onBefore, onStart, etc) are invoked in priority order. A hook with a higher priority is invoked before a hook with a lower priority.

The default hook priority is 0

- Defined in src/router/transition/interface.ts:304